function ajaxSuccess(data)
{
	var currentTime = new Date();
	var minutes = currentTime.getMinutes();
	if (minutes < 10)
		minutes = "0" + minutes;
	var seconds = currentTime.getSeconds();
	if (seconds < 10)
		seconds = "0" + seconds;
	$("#reportUseageBox").html(currentTime.getHours() + ":" + minutes + ":" + seconds + ": " + data + "<br />" + $("#reportUseageBox").html());
}

function startServer()
{
	if(confirm("Are you sure that you want start server?"))
	{
		$.ajax({url: "action.php?action=startServer", success: ajaxSuccess});
	}
}

function restartServer()
{
	if(confirm("Are you sure that you want Save and Restart server?"))
	{
		$.ajax({url: "action.php?action=restartServer", success: ajaxSuccess});
	}
}

function saveServer()
{
	if(confirm("Are you sure that you want Save server? It can take a while."))
	{
		$.ajax({url: "action.php?action=saveServer", success: ajaxSuccess});
	}
}

function cleanServer()
{
	if(confirm("Are you sure that you want Clean Map at server?"))
	{
		$.ajax({url: "action.php?action=cleanServer", success: ajaxSuccess});
	}
}

function forceStopServer()
{
	if(confirm("Are you sure that you want CLOSE server WITHOUT SAVE? (kill it's process and turn off auto restarter!) It will stop server and it will not start until you press Start Server."))
	{
		$.ajax({url: "action.php?action=forceStopServer", success: ajaxSuccess});
	}
}

function forceRestartServer()
{
	if(confirm("Are you sure that you want Restart server WITHOUT SAVE?"))
	{
		$.ajax({url: "action.php?action=forceRestartServer", success: ajaxSuccess});
	}
}

var viewType = 0; // 0 - 20 lines, 1 - full

function consoleUpdate()
{
	$.ajax({url: "action.php?action=loadConsole" + viewType, success: function(data){$("#consoleBox").html(data); $("#consoleBox").animate({"scrollTop": $('#consoleBox')[0].scrollHeight}, "slow");}});
}

function consoleViewLastLines()
{
	viewType = 0;
	consoleUpdate();
}

function consoleViewFull()
{
	viewType = 1;
	consoleUpdate();
}